package cn.iocoder.yudao.framework.common.constant;

/**
 * @ClassName: Constant 
 * @Description: 全局变量类
 * @author LIGW
 * @date 2018年5月10日 上午9:19:08
 */
public interface Constant {
	/*** 默认语言 */
	String LANG = "zh_CN";
	/*** 国际化路径 */
	String I18N_MSG = "i18n/messages";
	/*** 默认语言 */
	int I18N_CACHE_SEC = 5;
	/*** 国际化验证路径 */
	String I18N_VAL = "i18n/validations";
	/*** 租户ID */
	String TENANT_ID = "tenant-id";
	/*** 全局 */
	String GLOBAL = "global";


	/**
	 * 始发地-全部
	 */
	Long DEPARTURE_FULL = 0L;

	/**
	 * 目的地列表-全部
	 */
	String OBJECTIVE_FULL = "0";

	/**
	 * admin用户id
	 */
	Long SYSTEM_USER_ADMIN_ID = 1L;


	interface Cache {
		String LANG = "system_locale";
	}
}
