package cn.iocoder.yudao.framework.web.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.validation.annotation.Validated;

import java.util.Collections;
import java.util.List;

/**
 * 业务 配置属性
 *
 * @author 捷道源码
 */
@ConfigurationProperties(prefix = "yudao.business")
@Validated
@Data
public class BusinessProperties {

    /**
     * 是否开启，默认为 false
     */
    private boolean debug = false;


}
